<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDeducibleCobertura ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDeducibleCobertura
 * @subpackage Arrays
 */
class ArrayOfDeducibleCobertura extends AbstractStructArrayBase
{
    /**
     * The DeducibleCobertura
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DeducibleCobertura[]
     */
    public $DeducibleCobertura;
    /**
     * Constructor method for ArrayOfDeducibleCobertura
     * @uses ArrayOfDeducibleCobertura::setDeducibleCobertura()
     * @param \StructType\DeducibleCobertura[] $deducibleCobertura
     */
    public function __construct(array $deducibleCobertura = array())
    {
        $this
            ->setDeducibleCobertura($deducibleCobertura);
    }
    /**
     * Get DeducibleCobertura value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DeducibleCobertura[]|null
     */
    public function getDeducibleCobertura()
    {
        return isset($this->DeducibleCobertura) ? $this->DeducibleCobertura : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDeducibleCobertura method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDeducibleCobertura method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDeducibleCoberturaForArrayConstraintsFromSetDeducibleCobertura(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDeducibleCoberturaDeducibleCoberturaItem) {
            // validation for constraint: itemType
            if (!$arrayOfDeducibleCoberturaDeducibleCoberturaItem instanceof \StructType\DeducibleCobertura) {
                $invalidValues[] = is_object($arrayOfDeducibleCoberturaDeducibleCoberturaItem) ? get_class($arrayOfDeducibleCoberturaDeducibleCoberturaItem) : sprintf('%s(%s)', gettype($arrayOfDeducibleCoberturaDeducibleCoberturaItem), var_export($arrayOfDeducibleCoberturaDeducibleCoberturaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DeducibleCobertura property can only contain items of type \StructType\DeducibleCobertura, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DeducibleCobertura value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DeducibleCobertura[] $deducibleCobertura
     * @return \ArrayType\ArrayOfDeducibleCobertura
     */
    public function setDeducibleCobertura(array $deducibleCobertura = array())
    {
        // validation for constraint: array
        if ('' !== ($deducibleCoberturaArrayErrorMessage = self::validateDeducibleCoberturaForArrayConstraintsFromSetDeducibleCobertura($deducibleCobertura))) {
            throw new \InvalidArgumentException($deducibleCoberturaArrayErrorMessage, __LINE__);
        }
        if (is_null($deducibleCobertura) || (is_array($deducibleCobertura) && empty($deducibleCobertura))) {
            unset($this->DeducibleCobertura);
        } else {
            $this->DeducibleCobertura = $deducibleCobertura;
        }
        return $this;
    }
    /**
     * Add item to DeducibleCobertura value
     * @throws \InvalidArgumentException
     * @param \StructType\DeducibleCobertura $item
     * @return \ArrayType\ArrayOfDeducibleCobertura
     */
    public function addToDeducibleCobertura(\StructType\DeducibleCobertura $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DeducibleCobertura) {
            throw new \InvalidArgumentException(sprintf('The DeducibleCobertura property can only contain items of type \StructType\DeducibleCobertura, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DeducibleCobertura[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DeducibleCobertura|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DeducibleCobertura|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DeducibleCobertura|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DeducibleCobertura|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DeducibleCobertura|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DeducibleCobertura
     */
    public function getAttributeName()
    {
        return 'DeducibleCobertura';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfDeducibleCobertura
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
