<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfOfertaBase ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfOfertaBase
 * @subpackage Arrays
 */
class ArrayOfOfertaBase extends AbstractStructArrayBase
{
    /**
     * The OfertaBase
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OfertaBase[]
     */
    public $OfertaBase;
    /**
     * Constructor method for ArrayOfOfertaBase
     * @uses ArrayOfOfertaBase::setOfertaBase()
     * @param \StructType\OfertaBase[] $ofertaBase
     */
    public function __construct(array $ofertaBase = array())
    {
        $this
            ->setOfertaBase($ofertaBase);
    }
    /**
     * Get OfertaBase value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OfertaBase[]|null
     */
    public function getOfertaBase()
    {
        return isset($this->OfertaBase) ? $this->OfertaBase : null;
    }
    /**
     * This method is responsible for validating the values passed to the setOfertaBase method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOfertaBase method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOfertaBaseForArrayConstraintsFromSetOfertaBase(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfOfertaBaseOfertaBaseItem) {
            // validation for constraint: itemType
            if (!$arrayOfOfertaBaseOfertaBaseItem instanceof \StructType\OfertaBase) {
                $invalidValues[] = is_object($arrayOfOfertaBaseOfertaBaseItem) ? get_class($arrayOfOfertaBaseOfertaBaseItem) : sprintf('%s(%s)', gettype($arrayOfOfertaBaseOfertaBaseItem), var_export($arrayOfOfertaBaseOfertaBaseItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The OfertaBase property can only contain items of type \StructType\OfertaBase, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set OfertaBase value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\OfertaBase[] $ofertaBase
     * @return \ArrayType\ArrayOfOfertaBase
     */
    public function setOfertaBase(array $ofertaBase = array())
    {
        // validation for constraint: array
        if ('' !== ($ofertaBaseArrayErrorMessage = self::validateOfertaBaseForArrayConstraintsFromSetOfertaBase($ofertaBase))) {
            throw new \InvalidArgumentException($ofertaBaseArrayErrorMessage, __LINE__);
        }
        if (is_null($ofertaBase) || (is_array($ofertaBase) && empty($ofertaBase))) {
            unset($this->OfertaBase);
        } else {
            $this->OfertaBase = $ofertaBase;
        }
        return $this;
    }
    /**
     * Add item to OfertaBase value
     * @throws \InvalidArgumentException
     * @param \StructType\OfertaBase $item
     * @return \ArrayType\ArrayOfOfertaBase
     */
    public function addToOfertaBase(\StructType\OfertaBase $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\OfertaBase) {
            throw new \InvalidArgumentException(sprintf('The OfertaBase property can only contain items of type \StructType\OfertaBase, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->OfertaBase[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\OfertaBase|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\OfertaBase|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\OfertaBase|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\OfertaBase|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\OfertaBase|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string OfertaBase
     */
    public function getAttributeName()
    {
        return 'OfertaBase';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfOfertaBase
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
