<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'EmitirPolizaModel' => '\\StructType\\EmitirPolizaModel',
            'PolizaExternaModel' => '\\StructType\\PolizaExternaModel',
            'PolizaExternaMateriaModel' => '\\StructType\\PolizaExternaMateriaModel',
            'PolizaExternaMateriaContinuidadCoberturaModel' => '\\StructType\\PolizaExternaMateriaContinuidadCoberturaModel',
            'ArrayOfArchivoAdjuntosModel' => '\\ArrayType\\ArrayOfArchivoAdjuntosModel',
            'ArchivoAdjuntosModel' => '\\StructType\\ArchivoAdjuntosModel',
            'PolizaExternaMateriaFacturaModel' => '\\StructType\\PolizaExternaMateriaFacturaModel',
            'PolizaExternaMateriaInspeccionModel' => '\\StructType\\PolizaExternaMateriaInspeccionModel',
            'PolizaExternaPersonasModel' => '\\StructType\\PolizaExternaPersonasModel',
            'PolizaPersonaModel' => '\\StructType\\PolizaPersonaModel',
            'PolizaExternaPlanPagoModel' => '\\StructType\\PolizaExternaPlanPagoModel',
            'PolizaExternaPlanPagoPACModel' => '\\StructType\\PolizaExternaPlanPagoPACModel',
            'PolizaExternaPlanPagoPATModel' => '\\StructType\\PolizaExternaPlanPagoPATModel',
            'ResultadoPolizaModel' => '\\StructType\\ResultadoPolizaModel',
            'OfertaDescuentoModel' => '\\StructType\\OfertaDescuentoModel',
            'DeducibleDescuentoModel' => '\\StructType\\DeducibleDescuentoModel',
            'OfertaDescuentoResponse' => '\\StructType\\OfertaDescuentoResponse',
            'DeducibleDetalleProductoModel' => '\\StructType\\DeducibleDetalleProductoModel',
            'ArrayOfDeducibleCoberturaModel' => '\\ArrayType\\ArrayOfDeducibleCoberturaModel',
            'DeducibleCoberturaModel' => '\\StructType\\DeducibleCoberturaModel',
            'DetalleProductoBaseModel' => '\\StructType\\DetalleProductoBaseModel',
            'SiniestralidadModel' => '\\StructType\\SiniestralidadModel',
            'PlanPagoModel' => '\\StructType\\PlanPagoModel',
            'ArrayOfPlanPagoCuotasModel' => '\\ArrayType\\ArrayOfPlanPagoCuotasModel',
            'PlanPagoCuotasModel' => '\\StructType\\PlanPagoCuotasModel',
            'InformacionSolicitudInspeccionModel' => '\\StructType\\InformacionSolicitudInspeccionModel',
            'ContactoPagoModel' => '\\StructType\\ContactoPagoModel',
            'InformacionPagoModel' => '\\StructType\\InformacionPagoModel',
            'RespuestaSolicitudInspeccionModel' => '\\StructType\\RespuestaSolicitudInspeccionModel',
            'ArrayOfContactabilidadModel' => '\\ArrayType\\ArrayOfContactabilidadModel',
            'ContactabilidadModel' => '\\StructType\\ContactabilidadModel',
            'DatosTransaccionExterna' => '\\StructType\\DatosTransaccionExterna',
            'DatosTransaccionExternaResponse' => '\\StructType\\DatosTransaccionExternaResponse',
            'DatosTransaccionExternaBaseResponse' => '\\StructType\\DatosTransaccionExternaBaseResponse',
            'ProcesarOfertaModel' => '\\StructType\\ProcesarOfertaModel',
            'ConsultaPolizaIndividualRequest' => '\\StructType\\ConsultaPolizaIndividualRequest',
            'ConsultaPolizaIndividualResponse' => '\\StructType\\ConsultaPolizaIndividualResponse',
            'Fault' => '\\StructType\\Fault',
            'ArrayOfOfertaKilometro' => '\\ArrayType\\ArrayOfOfertaKilometro',
            'OfertaKilometro' => '\\StructType\\OfertaKilometro',
            'ArrayOfOpcional' => '\\ArrayType\\ArrayOfOpcional',
            'Opcional' => '\\StructType\\Opcional',
            'toEntrada' => '\\StructType\\ToEntrada',
            'CotizaOfertaRequest' => '\\StructType\\CotizaOfertaRequest',
            'CotizacionOferta' => '\\StructType\\CotizacionOferta',
            'DatosBase' => '\\StructType\\DatosBase',
            'Asegurado' => '\\StructType\\Asegurado',
            'DatosBien' => '\\StructType\\DatosBien',
            'Opcionales' => '\\StructType\\Opcionales',
            'CotizacionOfertaKilometroResponse' => '\\StructType\\CotizacionOfertaKilometroResponse',
            'ArrayOfDeducibleKilometro' => '\\ArrayType\\ArrayOfDeducibleKilometro',
            'DeducibleKilometro' => '\\StructType\\DeducibleKilometro',
            'ArrayOfFormaPago' => '\\ArrayType\\ArrayOfFormaPago',
            'FormaPago' => '\\StructType\\FormaPago',
            'GuardaPolizaKilometrosRequest' => '\\StructType\\GuardaPolizaKilometrosRequest',
            'InformacionPolizaModel' => '\\StructType\\InformacionPolizaModel',
            'GuardaPolizaKilometrosResponse' => '\\StructType\\GuardaPolizaKilometrosResponse',
            'CotizacionOfertaResponse' => '\\StructType\\CotizacionOfertaResponse',
            'ArrayOfOferta' => '\\ArrayType\\ArrayOfOferta',
            'Oferta' => '\\StructType\\Oferta',
            'ArrayOfDeducible' => '\\ArrayType\\ArrayOfDeducible',
            'Deducible' => '\\StructType\\Deducible',
            'ArrayOfDeducibleCobertura' => '\\ArrayType\\ArrayOfDeducibleCobertura',
            'DeducibleCobertura' => '\\StructType\\DeducibleCobertura',
            'ArrayOfCuota' => '\\ArrayType\\ArrayOfCuota',
            'Cuota' => '\\StructType\\Cuota',
            'CotizadorVehiculoRequest' => '\\StructType\\CotizadorVehiculoRequest',
            'CotizadorVehiculo' => '\\StructType\\CotizadorVehiculo',
            'CotizadorVehiculoResponse' => '\\StructType\\CotizadorVehiculoResponse',
            'CotizadorVehiculoResult' => '\\StructType\\CotizadorVehiculoResult',
            'ArrayOfprmCotizacionVehiculoPlanesRespuesta' => '\\ArrayType\\ArrayOfprmCotizacionVehiculoPlanesRespuesta',
            'prmCotizacionVehiculoPlanesRespuesta' => '\\StructType\\PrmCotizacionVehiculoPlanesRespuesta',
            'CotizaProductoRequest' => '\\StructType\\CotizaProductoRequest',
            'OfertaCotizacion' => '\\StructType\\OfertaCotizacion',
            'CotizacionProductoResponse' => '\\StructType\\CotizacionProductoResponse',
            'CotizacionProductoBaseResponse' => '\\StructType\\CotizacionProductoBaseResponse',
            'ArrayOfOfertaBase' => '\\ArrayType\\ArrayOfOfertaBase',
            'OfertaBase' => '\\StructType\\OfertaBase',
            'ArrayOfDeducibleBase' => '\\ArrayType\\ArrayOfDeducibleBase',
            'DeducibleBase' => '\\StructType\\DeducibleBase',
            'GeneraCotizacionRequest' => '\\StructType\\GeneraCotizacionRequest',
            'GeneraCotizacionResponse' => '\\StructType\\GeneraCotizacionResponse',
            'ConsultaEstadoCotizacionRequest' => '\\StructType\\ConsultaEstadoCotizacionRequest',
            'ConsultaEstadoCotizacionResponse' => '\\StructType\\ConsultaEstadoCotizacionResponse',
            'EstadoCotizacion' => '\\StructType\\EstadoCotizacion',
            'GeneraPropuestaPolizaRequest' => '\\StructType\\GeneraPropuestaPolizaRequest',
            'GeneraPropuestaPolizaResponse' => '\\StructType\\GeneraPropuestaPolizaResponse',
            'FormalizaPolizaRequest' => '\\StructType\\FormalizaPolizaRequest',
            'FormalizaPolizaResponse' => '\\StructType\\FormalizaPolizaResponse',
            'GeneraPolizaRequest' => '\\StructType\\GeneraPolizaRequest',
            'GeneraPolizaResponse' => '\\StructType\\GeneraPolizaResponse',
            'VentaVehiculoRequest' => '\\StructType\\VentaVehiculoRequest',
            'ReimprimePolizaRequest' => '\\StructType\\ReimprimePolizaRequest',
            'ReimprimePolizaResponse' => '\\StructType\\ReimprimePolizaResponse',
            'CotizacionOfertaBaseResponse' => '\\StructType\\CotizacionOfertaBaseResponse',
            'DescuentoRecargoCotizacionRequest' => '\\StructType\\DescuentoRecargoCotizacionRequest',
            'DescuentoRecargoResponse' => '\\StructType\\DescuentoRecargoResponse',
            'DetalleProductoRequest' => '\\StructType\\DetalleProductoRequest',
            'DetalleProductoResponse' => '\\StructType\\DetalleProductoResponse',
            'ConsultaSiniestralidadRequest' => '\\StructType\\ConsultaSiniestralidadRequest',
            'ConsultaSiniestralidadResponse' => '\\StructType\\ConsultaSiniestralidadResponse',
            'ConsultaPlanPagoRequest' => '\\StructType\\ConsultaPlanPagoRequest',
            'ConsultaPlanPagoResponse' => '\\StructType\\ConsultaPlanPagoResponse',
            'SolicitudInspeccionRequest' => '\\StructType\\SolicitudInspeccionRequest',
            'SolicitudInspeccionResponse' => '\\StructType\\SolicitudInspeccionResponse',
            'ConsultaContactabilidadRequest' => '\\StructType\\ConsultaContactabilidadRequest',
            'ConsultaContactabilidadResponse' => '\\StructType\\ConsultaContactabilidadResponse',
            'ConsultaDocumentosRequest' => '\\StructType\\ConsultaDocumentosRequest',
            'ConsultaDocumentosResponse' => '\\StructType\\ConsultaDocumentosResponse',
            'ConsultaPolizaIndividual' => '\\StructType\\ConsultaPolizaIndividual',
        );
    }
}
