<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ContactabilidadModel StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ContactabilidadModel
 * @subpackage Structs
 */
class ContactabilidadModel extends AbstractStructBase
{
    /**
     * The Fecha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Fecha;
    /**
     * The Observacion
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Observacion;
    /**
     * Constructor method for ContactabilidadModel
     * @uses ContactabilidadModel::setFecha()
     * @uses ContactabilidadModel::setObservacion()
     * @param string $fecha
     * @param string $observacion
     */
    public function __construct($fecha = null, $observacion = null)
    {
        $this
            ->setFecha($fecha)
            ->setObservacion($observacion);
    }
    /**
     * Get Fecha value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFecha()
    {
        return isset($this->Fecha) ? $this->Fecha : null;
    }
    /**
     * Set Fecha value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $fecha
     * @return \StructType\ContactabilidadModel
     */
    public function setFecha($fecha = null)
    {
        // validation for constraint: string
        if (!is_null($fecha) && !is_string($fecha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fecha, true), gettype($fecha)), __LINE__);
        }
        if (is_null($fecha) || (is_array($fecha) && empty($fecha))) {
            unset($this->Fecha);
        } else {
            $this->Fecha = $fecha;
        }
        return $this;
    }
    /**
     * Get Observacion value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getObservacion()
    {
        return isset($this->Observacion) ? $this->Observacion : null;
    }
    /**
     * Set Observacion value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $observacion
     * @return \StructType\ContactabilidadModel
     */
    public function setObservacion($observacion = null)
    {
        // validation for constraint: string
        if (!is_null($observacion) && !is_string($observacion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($observacion, true), gettype($observacion)), __LINE__);
        }
        if (is_null($observacion) || (is_array($observacion) && empty($observacion))) {
            unset($this->Observacion);
        } else {
            $this->Observacion = $observacion;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ContactabilidadModel
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
